BERSequenceGenerator (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1

## Class BERSequenceGenerator

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Generator
  - - org.bouncycastle.asn1.BERGenerator
    - - org.bouncycastle.asn1.BERSequenceGenerator

-     public class BERSequenceGenerator
      extends BERGenerator

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.asn1.ASN1Generator

      `_out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BERSequenceGenerator(java.io.OutputStream out)`
    `BERSequenceGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObject(ASN1Encodable object)`
    `void` | `close()`

    - ### Methods inherited from class org.bouncycastle.asn1.BERGenerator

      `getRawOutputStream, writeBERBody, writeBEREnd, writeBERHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BERSequenceGenerator

          public BERSequenceGenerator(java.io.OutputStream out)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### BERSequenceGenerator

          public BERSequenceGenerator(java.io.OutputStream out,
                              int tagNo,
                              boolean isExplicit)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### addObject

          public void addObject(ASN1Encodable object)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`